name: proxy-server

services:

  postgres:
    container_name: proxy-server-dev-postgres
    image: postgres:17
    environment:
      POSTGRES_DB: $DB_DATABASE
      POSTGRES_USER: $DB_USERNAME
      POSTGRES_PASSWORD: $DB_PASSWORD
    ports:
      - "${DB_PORT}:5432"
    volumes:
      - postgres-data:/var/lib/postgresql/data
    networks:
      - proxy-server-dev
    restart: always

networks:
  proxy-server-dev:
    driver: bridge

volumes:
  postgres-data:
    name: proxy-server-dev-postgres-data